@charset "UTF-8";
/* -------------------------------------------------------------------------------- */
/* DEVELOPPEMENT x25
/* Fichier: css_1_mobile.css
/* Fonction: styles CSS pour le site public (définition principale pour appareils mobiles)
/* PGB, 28.02.2026
/* -------------------------------------------------------------------------------- */



/*		LAYOUT
/* wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww */

body {
	}

.bloc-header-sup { 
	}
.bloc-header-bandeau { 
	background: var(--couleur-header-fond);
	color: var(--couleur-header-text);
	}
.bloc-header-nav { 
	position: sticky;
	top: 0px;
	background: var(--couleur-nav-fond);
	color: var(--couleur-nav-text);
	}
.bloc-footer { 
	min-height: 20vh;  /* Pour que le footer ne remonte pas au milieu de l'écran... */
	background: var(--couleur-footer-fond);
	color: var(--couleur-footer-text);
	}
.bloc-contenu { 
	min-height: 75vh;  /* Pour que le footer ne remonte pas au milieu de l'écran... */
	background: var(--couleur-page-fond);
	color: var(--couleur-page-text);
	padding-top: 10px;
	padding-bottom: 100px;
	}
.conteneur {
	width: 94%;  /* Largeur standard; elle est limitée par max-width en mode desktop */
	margin: 0px auto;
	padding: 0px;
	}
.bloc-contenu .conteneur {
	display: grid;
	gap: 50px;
	grid-template-columns: 1fr;  /* mobile : 1 colonne */
	}



/*		HEADER
/* wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww */

.bloc-header-bandeau .conteneur { 
	/* display: flex; */
	/* justify-content: space-between;  /* Espace max entre gauche et droite */
	/* align-items: center;  /* Centre verticalement si hauteurs différentes */
	padding: 10px 0px;
	text-align: center;
	}
.bloc-header-bandeau .header-logo { 
	max-width: 60%;
	height: auto;
	width: auto;
	}
.bloc-header-bandeau .header-titre { 
	font-size: 1em;
	margin: 0px;
	padding: 0px;
	}
.bloc-header-bandeau .header-titre span { 
	/* color: #ffffff; */
	}





/*		FOOTER
/* wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww */

.bloc-footer .conteneur {
	padding-top: 30px;
	padding-bottom: 30px;
	}
.bloc-footer p {
	text-align: center;
	font-size: 0.85em;
	}
.bloc-footer .login-footer {
	margin: 15px 0px;
	text-align: center;
	font-size: 0.85em;
	}
.bloc-footer .login-footer a {
	color: var(--couleur-footer-text);
	}





/*		NAV (+ NAV-WIDGET)
/* wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww */

.nav-principal {
	display: block;
	font-size: 1.2em;
	}
.bloc-widgets {
	display: none;
	}


/* DECLENCHEURS */
/* -------------------------------------------------- */
.nav-principal input[type=checkbox] {
	/* La checkbox sert de bascule on/off pour chaque sous-menu, mais seul son label doit apparaître. */
	display: none;
}
.nav-principal label.declencheur {
	/* Zone de déclenchement du menu déroulant. */
	display: block;
	width: 50px; 
	height: 50px;
	background-image: var(--image-nav-mobile-declencheur); 
	background-repeat: no-repeat;
	}
.nav-principal label.sous-declencheur {
	/* Zone de déclenchement d'un sous-menu déroulant. */
    display: block;
    position: absolute;
    margin: -40px 0px 0px 80%; 
	width: 20%; 
	height: 40px; 
	background-image: var(--image-nav-mobile-declencheur-bas); 
	background-position: center; 
	background-repeat: no-repeat;
	}
.nav-principal input[type=checkbox]:checked + label.sous-declencheur {
	background-image: var(--image-nav-mobile-declencheur-haut); 
	}


/* BALISES GENERALES */
/* -------------------------------------------------- */
.nav-principal a,
.nav-widget a {
	display: block;
	padding: 6px 0px;
	color: var(--couleur-nav-text);
	text-decoration: none;
	}
.nav-principal ul {
	/* Lorsque le menu n'est pas déroulé. */
	display: none;
	list-style: none;
	}
.nav-principal input[type=checkbox]:checked ~ ul {
	/* Lorsque le menu est déroulé. */
    display: block;
	}


/* LIENS DES OPTIONS DE NIVEAU 1 */
/* -------------------------------------------------- */
.nav-principal li a {
	/* Apparence des options (a). */
	background: var(--couleur-nav-fond);
	border-top: 1px solid var(--couleur-nav-text); 
	color: var(--couleur-nav-text);
	}
.nav-principal li a:hover {
	/* Apparence des options (a) survolées. */
	color: var(--couleur-nav-text);
	background: var(--couleur-nav-survol);
	}
.nav-principal li+li a {
	}
.nav-principal li.actif a {
	}
.nav-principal li.actif a:hover {
	}


/* DEROULEMENT DES OPTIONS DE NIVEAU 2 */
/* -------------------------------------------------- */
.nav-principal li ul {
	/* Dérouler (=afficher) ou non les options de 2e niveau. */
	/* display: none; */
	}
.nav-principal li:hover > ul {
	}
.nav-principal li ul li {
	}
.nav-principal li ul li a {
	padding-left: 10%;
	}
.nav-principal li:hover > ul li a {
	}


/* DEROULEMENT DES OPTIONS DE NIVEAU 3 */
/* -------------------------------------------------- */
.nav-principal li ul li ul {
	}
.nav-principal li ul li ul li a {
	padding-left: 20%;
	}


/* DEROULEMENT DES OPTIONS DE NIVEAU 4 */
/* -------------------------------------------------- */
.nav-principal li ul li ul li ul {
	}
.nav-principal li ul li ul li ul li a {
	padding-left: 30%;
	}





/*		MAIN / ASIDE
/* wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww */

main {
	/* font-family: 'Source Sans 3', sans-serif; */
	/* font-optical-sizing: auto; */
	/* font-weight: 400; */
	/* font-style: normal; */
	/* font-size: 1em; */
}
main h1,
main h2,
main h3,
main h4,
main h5,
main h6 { 
	font-weight: 800;
	line-height: 1.1;
	}
main h1 { 
	/* font-weight: 700; */
	font-size: 1.8em; 
	margin-top: 0px;
	margin-bottom: 20px;
	}
main h2 { 
	font-size: 1.6em; 
	margin-top: 25px;
	margin-bottom: 20px;
	}
main h3 { 
	font-size: 1.4em; 
	margin-top: 30px;
	margin-bottom: 0px;
	}
main h4 { 
	font-size: 1.2em; 
	margin-top: 30px;
	margin-bottom: 0px;
	}

main p {
	margin-top: 18px;
	margin-bottom: 18px;
	}
main ul,
aside ul { 
	padding: 8px 0px 10px 40px;
	}
main ul.bloc-links,
aside ul.bloc-links { 
	width: 100%;
	margin: 50px 0px;
	}
main li,
aside li { 
	margin-bottom: 8px;
	}
main .intro-accueil {
	font-family: "Square Peg", cursive; 
	font-optical-sizing: auto;
	font-weight: 500;  /* 400...700 */
	font-size: 1.8em;
	line-height: 1.0;
	}
main .intro-accueil strong {
	font-weight: 700;  /* 400...700 */
	}
main .chapeau {
	font-size: 1.1em;
	font-weight: 600;
	line-height: 1.1;
	margin-top: 0px;
	margin-bottom: 30px;
	}
main .label {
	display: block;
	}
main .input {
	display: block;
	}
main .texte {
	}
main .metadonnees {
	margin-top: 0px;
	margin-bottom: 30px;
	/* color: #666666; */
	font-size: 0.9em;
	}
main .metadonnees a {
	text-decoration: none;
	}


/* IMAGES
/* -------------------------------------------------- */

main .main-img {
	float: right;
	max-width: 50%;
	}
main .texte .main-img {
	}
main .img-largeur {
	display: block;
	width: 90%;
	margin: 25px 0px;
	}
main figure {
	margin: 35px 0px;
	text-align: center;
	font-style: italic;
	}
main figure p {
	margin: 0px;
	padding: 0px;
	}
main figure img {
	width: 100%;
	}


/* A LA UNE
/* -------------------------------------------------- */

main .a-la-une {
	display: grid;
	grid-template-columns: 1fr;
	gap: 10px;
	}
main .a-la-une p {
	margin-top: 10px;
	margin-bottom: 10px;
	/* font-size: 0.9em; */
	line-height: 1.1;
	}
main .a-la-une h4 a {
	text-decoration: none;
	}
main .a-la-une .reference {
	font-size: 0.85em;
	font-style: italic;
	}
main .a-la-une .reference a {
	text-decoration: none;
	}


/* LISTES
/* -------------------------------------------------- */

/* Formulaire de recherche */
.db-liste .recherche-form {
	}
.db-liste .recherche-form input[type=checkbox] {
    display: none;
    }
.db-liste .recherche-form label {
	float: right;
    /* display: inline-block; */
	width: 40px;
	height: 40px;
	background-image: url("/x25/ressources/images/loupe_rose.png");
	background-size: contain;
	}
.db-liste .recherche-form form {
	display: none; 
	}
.db-liste .recherche-form input[type=checkbox]:checked ~ form {
	display: block; 
	margin-bottom: 20px;
	background: var(--gris-clair);
	padding: 20px 20px;
    }
.db-liste .recherche-form div {
    padding: 5px 0px;
    }

/* Header et Footer de la liste */
.db-liste header,
.db-liste footer {
	margin: 0px 0px 10px 0px; 
    padding: 5px;
	font-size: 0.82em;
	color: #000000;
	}
.db-liste header p {
    margin: 0px;
    padding: 0px;
    line-height: 1.2em;
	}

/* Nav de la liste */
.db-liste nav {
    margin: 10px 0px 5px 0px;
	}
.db-liste nav span,
.db-liste nav a {
	display: inline-block;
	margin: 0px 2px;
	border: 1px solid #888888; 
	border-radius: 10%; 
    background: #ffffff;
	padding: 1px 6px;
	color: #888888;
	font-weight: normal;
	text-decoration: none;
	}
.db-liste nav a:hover {
	background: var(--couleur-survol);
    color: #ffffff;
	text-decoration: none;
	}
.db-liste nav span.page-courante {
	/* background: #dddddd; */
	color: #666666;
	font-weight: bold;
	}
.db-liste nav span.intervalle {
	margin: 0px;
	padding: 0px;
	border: none;
    background: none;
	}

/* Items de la liste */
.db-liste .liste-table {
    margin: 0px;
    padding: 0px;
    display: block;
    width: 100%;
	font-size: 0.9em;
	}
.db-liste .liste-ligne {
    display: block; 
	padding: 5px 0px;
	border-bottom: 1px dotted #000000;
	}
.db-liste .liste-ligne:first-child {
	border-top: 1px dotted #000000;
	}
.db-liste .liste-item {
    display: block;
    padding: 2px 0px;
	vertical-align: top;
    }
.db-liste a {
    text-decoration: none;
    }
.db-liste .liste-item.reference {
	text-align: right;
	font-size: 0.85em;
    }





/*		ASIDE
/* wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww */

aside {
	display: none;
	}





/*		XXX
/* wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww */

